# $Revision: 1.10 $, $Date: 2007/02/13 08:06:38 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Filter-Hekeln
Summary:	XML::Filter::Hekeln - a SAX stream editor
Summary(pl.UTF-8):	XML::Filter::Hekeln - edytor strumieni SAX
Name:		perl-XML-Filter-Hekeln
Version:	0.06
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	398f943d2469cd99cba512c2a019df91
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-libxml >= 0.06
BuildRequires:	perl-XML-Handler-YAWriter >= 0.1
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::Filter::Hekeln Perl module is a sophisticated SAX stream editor.

Hekeln is a SAX filter. This means that you can use a Hekeln object
as a Handler to act on events, and to produce SAX events as a driver
for the next handler in the chain. The name Hekeln sounds like the
german word for crocheting, whats the best to describe, what Hekeln
can do on markup language translation.

%description -l pl.UTF-8
Moduł Perla XML::Filter::Hekeln to wymyślny edytor strumieni SAX.

Hekeln jest filtrem SAX. Oznacza to, że można używać obiektu Hekeln
jako funkcji obsługi zdarzeń oraz do tworzenia zdarzeń SAX jako
sterownik dla następnej funkcji obsługi w łańcuchu. Nazwa Hekeln brzmi
jak niemieckie słowo oznaczające szydełkowanie, co najlepiej oznacza,
co Hekeln może zrobić przy tłumaczeniu języka znaczników.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/XML/*/*.pm
%{_mandir}/man3/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Filter-Hekeln.spec,v $
Revision 1.10  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.8  2004/11/03 22:30:55  paladine
- formatting

Revision 1.7  2004/10/31 22:36:06  paladine
- spaces->tabs
- formatting

Revision 1.6  2004/05/06 19:38:10  qboosh
- fixed contact info

Revision 1.5  2004/05/06 19:11:27  qboosh
- pl desc

Revision 1.4  2004/05/06 18:21:29  ankry
- fixed perl-devel BR

Revision 1.3  2004/05/06 02:07:06  ankry
- pl summary, formatting

Revision 1.2  2004/05/05 20:26:50  radek
- added forgotten md5

Revision 1.1  2004/05/05 20:25:36  radek
- new
